Skip to main content
PUT
/
api
/
contacts
/
{clientId}
Update a contact
curl --request PUT \
  --url https://api.recepta.ai/api/v1/api/contacts/{clientId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "tags": [
    "<string>"
  ],
  "status": "<string>",
  "notes": "<string>",
  "customFields": {}
}
'
{
  "success": true,
  "data": {
    "client": {
      "id": "697929d5ebccbcca5cdaf13b",
      "firstName": "Jane",
      "lastName": "Doe",
      "fullName": "Jane Doe",
      "email": "jane@example.com",
      "phone": "+15551234567",
      "source": "API",
      "tags": [
        "lead",
        "website"
      ],
      "status": "active",
      "notes": "Interested in premium plan",
      "company_name": "Acme Corp",
      "address": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zipCode": "<string>",
      "country": "<string>",
      "customFields": {
        "referralSource": "google"
      },
      "isActive": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

x-api-key
string
header
required

Your Recepta API key (starts with rcp_)

Path Parameters

clientId
string
required

Contact ID

Body

application/json
firstName
string
lastName
string
email
string
phone
string
tags
string[]
status
string
notes
string
customFields
object

Response

Contact updated

success
boolean
Example:

true

data
object